\usepackage{titlesec} 
\usepackage{tikz}
\usepackage{fontspec}
\usepackage{xcolor}
\usepackage[a4paper,left=2.5cm,right=2.5cm,top=2.5cm,bottom=2cm]{geometry}
\usepackage{fancyhdr}

%------------------Main Font-------------------------
%\usepackage{FiraSans}
\usepackage[sfdefault]{FiraSans}
%\setmainfont{FiraSans}
%\setmainfont{fira}
%Make sure you have the compiler "XeLaTeX" activated on your settings for your LaTeX document in order to see the font 

%------------------Color Set--------------------------
\definecolor{LightBlue}{RGB}{66, 163, 251}
\definecolor{DarkBlue}{RGB}{36, 100, 176}
\definecolor{LightGray}{gray}{.94}
\definecolor{DarkGray}{gray}{.172}
\definecolor{Orange}{RGB}{229, 133, 3}
\definecolor{MediumBlue}{RGB}{38, 119, 193}

%------------------Section Default Setting-------------
\titleformat*{\section}{\color{DarkBlue}\normalfont\bfseries\Huge}
\titleformat*{\subsection}{\color{MediumBlue}\normalfont\bfseries\LARGE}
\titleformat*{\subsubsection}{\color{LightBlue}\normalfont\bfseries\Large}

%-------------------Section Numbers Removal------------
\setcounter{secnumdepth}{0}


%-------------------------Header & Footer------------------------

\pagestyle{fancy}
\fancyhf{}
\fancyhead[LE]{
\begin{tikzpicture}[remember picture,overlay] \node[anchor=north west, yshift=1.5mm, xshift=-1.5mm] at (current page.north west) {\includegraphics[height=25mm]{figures/header_corner_l.png}};
\end{tikzpicture}
}
\fancyhead[RO]{
\begin{tikzpicture}[remember picture,overlay] \node[anchor=north east, yshift=1.5mm, xshift=+1.5mm] at (current page.north east) {\includegraphics[height=25mm]{figures/header_corner_r.png}};
\end{tikzpicture}
}
\fancyfoot[CE]{
\begin{tikzpicture}[remember picture,overlay] \node[anchor=south east, yshift=-1.5cm, xshift=1.5mm] at (current page.south east) {\includegraphics[height=20mm,width=21cm]{figures/banner_l.png}};
\end{tikzpicture}
\begin{flushleft}
	\textcolor{LightGray}{\thepage}
\end{flushleft}
}
\fancyfoot[CO]{
\begin{tikzpicture}[remember picture,overlay] \node[anchor=south east, yshift=-1.5cm, xshift=1.5mm] at (current page.south east) {\includegraphics[height=20mm,width=21cm]{figures/banner_r.png}};
\end{tikzpicture}
\begin{flushright}
	\textcolor{LightGray}{\thepage}
\end{flushright}
}

\pagestyle{fancyplain}
\fancyhf{}
\fancyhead[LE]{
	\begin{tikzpicture}[remember picture,overlay] \node[anchor=north west, yshift=1.5mm, xshift=-1.5mm] at (current page.north west) {\includegraphics[height=25mm]{figures/header_corner_l.png}};
	\end{tikzpicture}
}
\fancyhead[RO]{
	\begin{tikzpicture}[remember picture,overlay] \node[anchor=north east, yshift=1.5mm, xshift=+1.5mm] at (current page.north east) {\includegraphics[height=25mm]{figures/header_corner_r.png}};
	\end{tikzpicture}
}
\fancyfoot[CE]{
\begin{tikzpicture}[remember picture,overlay] \node[anchor=south east, yshift=-1.5mm, xshift=1.5mm] at (current page.south east) {\includegraphics[height=20mm,width=21cm]{figures/banner_l.png}};
\end{tikzpicture}
\begin{flushleft}
	\textcolor{LightGray}{\thepage}
\end{flushleft}
}
\fancyfoot[CO]{
\begin{tikzpicture}[remember picture,overlay] \node[anchor=south east, yshift=-1.5mm, xshift=1.5mm] at (current page.south east) {\includegraphics[height=20mm,width=21cm]{figures/banner_r.png}};
\end{tikzpicture}
\begin{flushright}
	\textcolor{LightGray}{\thepage}
\end{flushright}
}
